import { Request, RequestResult, Response } from "koajax";
import { ReadableStream } from "web-streams-polyfill";
export declare function request<B>({ path, method, headers, withCredentials, body, signal, timeout, responseType, }: Request): RequestResult<B>;
export declare function parseResponse<B>(responsePromise: Promise<globalThis.Response>, responseType: Request["responseType"]): Promise<Response<B>>;
export declare function parseFetchBody<B>(stream: ReadableStream<Uint8Array>, contentType: string, responseType: Request["responseType"]): Promise<B>;
export declare function iterateFetchBody(responsePromise: Promise<globalThis.Response>): AsyncGenerator<{
    total: number;
    loaded: number;
}, void, unknown>;
